List rentals
curl --request GET \
--url https://api.gputrader.io/v1/rentals \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.gputrader.io/v1/rentals"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.gputrader.io/v1/rentals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"rentalId": "<string>",
"listing": {},
"userId": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"name": "My Instance",
"status": "ACTIVE",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isSeed": true
}
]Rentals
List rentals
Retrieve all rentals
GET
/
rentals
List rentals
Authorizations
Query Parameters
Maximum number of results to return (max 25)
Key for pagination
Response
Successfully retrieved rentals
Unique identifier for the rental
Environment listing details
ID of the user who created the rental
Start date and time of the rental
End date and time of the rental
Name of the rental instance
Current status of the rental
Available options:
ACTIVE, COMPLETE Timestamp when the rental was created
Timestamp when the rental was last updated
Indicates if this is a seed rental

